package com.jianziqiang.serviceboard.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value = "Teacher查询对象", description = "讲师查询对象封装")
@Data
public class BoardQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "昵称,模糊查询")
    private String nickName;

//    @ApiModelProperty(value = "头衔 1高级讲师 2首席讲师")
//    private Integer cloud;

    @ApiModelProperty(value = "查询开始时间", example = "2019-01-01 10:10:10")
    private String begin;//注意，这里使用的是String类型，前端传过来的数据无需进行类型转换

    @ApiModelProperty(value = "查询结束时间", example = "2019-12-01 10:10:10")
    private String end;
}